Subject: Re: [Sip] Open Issue #126: ACK never received for 2xx to re-INVITE

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 19 Dec 2001 16:14:27 -0500

Brett Tate wrote:

>>Issue:
>>
>>What to do if you never get an ACK for a 2xx you sent to a re-INVITE?
>>Currently, it says to re-INVITE to restablish state. However, 
>>thats going to
>>get complicated. An alternative is to just BYE the call.
>>
>>Discussion points:
>>
>>If a 2xx response to an initial INVITE never generates an ACK, you are
>>supposed to BYE. I think it makes sense, in the interests of 
>>uniformity of
>>INVITE/re-INVITE, and KISS, to simply BYE in odd cases like this.
>>
>>Proposal:
>>
>>Send a BYE
>>
> 
> How about "MUST send reINVITE or BYE"?
> 
> This wording allows the UAS to either
> release or recover the call.  It also 
> discourages devices from dropping the 
> call without sending BYE as a means to
> avoid sending BYE 11 times. 

The problem is that recovery could lead to infinite cycles of INVITE, 
along with confusion of intermediate elements about state of the call. I 
would much prefer "SHOULD send a BYE", which would allow you to try to 
recover, but not unless you have really good reason to do so.

There was also good consensus on my proposal at IETF 52. As this is a 
minor issue, I would like to strongly encourage people to take the 
simplest path and save their cycles on arguing for more important 
issues. Since there was only one dissenter on the list, one agree-er on 
the list, and complete agreement at ietf 52, I think that constitutes 
rough consensus and I now consider this issue closed.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip